@charset "UTF-8";

/* Header & Filters */
.header-title {
	color: var(--primary-color-deep-blue-800);
	font-weight: 800;
	font-size: 2.2rem;
	margin-bottom: 25px;
}

.filter-menu {
	margin-bottom: 20px;
	display: flex;
	gap: 10px;
	flex-wrap: wrap;
}

/* Card Styles */
#videolist {
	display: flex;
	flex-direction: row;
	flex-wrap: wrap;
	gap: 10px;
}

#videolist .videoitem {
	/* width: 305px;
	height: 455px;
	margin: 0 20px 30px 0; */
}

#videolist .videoitem:nth-child(4n) {
	/* width: 305px;
	height: 455px;
	margin: 0 0 30px 0 !important; */
}

.video-card {
	position: relative;
	border-radius: 10px !important;
	overflow: hidden;
	border: none !important;
	box-shadow: none !important;
	background-repeat: no-repeat;
	background-size: cover !important;
	height: 270px;
	width: 180px;
}

.video-card img {
	width: 100%;
	border-radius: 12px;
	display: block;
}

/* Overlay Content */
.card-overlay-top {
	position: absolute;
	top: 12px;
	right: 12px;
	color: white;
	text-shadow: 1px 1px 3px rgba(0, 0, 0, 0.5);
	font-size: 14px;
}

.eye-view-icon {
	display: inline-block;
	width: 19px;
	height: 14px;
	background-image:
		url('https://static.homepro.co.th/assets/images/Icon_View_White.svg');
	background-size: contain;
	background-repeat: no-repeat;
	background-position: center;
	vertical-align: middle;
	margin-bottom: 3px;
}

.card-overlay-bottom {
	position: absolute;
	bottom: 0;
	left: 0;
	right: 0;
	padding: 10px;
	background: linear-gradient(transparent, rgba(0, 0, 0, 0.8));
	color: white;
	pointer-events: none;
}

.videoitem {
	position: relative;
}

.videoitem .pin-icon {
	position: absolute;
	top: 5px;
	left: 5px;
}

.brand-tag {
	display: flex;
	gap: 6px;
	align-items: center;
	position: absolute;
	width: fit-content;
	padding-right: 12px;
	font-size: 10px;
	bottom: 6px;
	z-index: 0;
	position: relative;
}

.shop-link {
	color: var(--neutral-colors-white);
	pointer-events: all;
	position: relative;
	z-index: 2;
	
}

.shop-link:hover {
	color: var(--primary-colors-orange-700);
}

.brand-title {
	z-index: 2;
	font-size: 10px;
	margin: unset;
}

.brand-tag img {
	width: 20px;
	height: 20px;
	border-radius: 50%;
	z-index: 3;
}

.brand-overlay {
	inset: 0;
	background-color: #000;
	position: absolute;
	opacity: 0.4;
	border-radius: 50px;
	z-index: 1;
}

.video-title {
	font-weight: 600;
	line-height: 1.3;
	margin-bottom: 5px;
	font-size: 12px;
}

.video-desc {
	font-size: 0.8rem;
	opacity: 0.8;
	font-weight: 300;
	line-height: 1.3;
}

.text-truncate-2 {
	display: -webkit-box;
	-webkit-line-clamp: 2;
	-webkit-box-orient: vertical;
	overflow: hidden;
	text-overflow: ellipsis;
	word-break: break-word;
}

div#loading-trigger {
	color: var(--neutral-colors-gray-700);
	margin: 20px;
	font-size: 16px;
	text-align: center;
	padding: 20px;
}

.clips-body .ui.selection.dropdown {
	min-width: unset;
}

.clips-body .ui.dropdown {
	border-radius: 8px !important;
	border: 1px solid var(--primary-color-deep-blue-800) !important;
	color: var(--primary-color-deep-blue-800) !important;
}

.clips-body .ui.selection.dropdown .menu>.item , .clips-body .ui.selection.visible.dropdown>.text:not(.default) {
	color: var(--primary-color-deep-blue-800) !important;
}

.clips-body .ui.dropdown.filtered {
	background-color: var(--primary-color-deep-blue-800) !important;
}

.clips-body .ui.dropdown.filtered .text {
	color: var(--neutral-colors-white) !important;
}

.clips-body .ui.dropdown.filtered.active>.text:not(.default) {
	color: var(--neutral-colors-white) !important;
}

.clips-body .ui.dropdown.filtered i.dropdown.icon {
	color: #FFF;
}

.videosort {
	border-radius: 6px;
	color: var(--primary-color-deep-blue-800);
	background-color: var(--neutral-colors-white);
	border: 1px solid var(--primary-color-deep-blue-800);
	padding: 6px 14px;
	cursor: pointer;
	font-size: 14px;
}

.videosort:hover {
	border-color: var(--neutral-colors-gray-700);
}

.videosort.active {
	background-color: var(--primary-color-deep-blue-800);
	color: var(--neutral-colors-white);
}

.section-wowzavideo div#videolist {
	margin-top: 0;
	margin-bottom: 0;
	padding-top: 10px;
	padding-bottom: 18px;
}

.section-wowzavideo .column.videoitem {
	padding: 0 12px !important;
}

.section-wowzavideo .ui.card.video-card {
	width: 100%;
}

.section-wowzavideo .top-section .seeall a {
	font-size: 18px;
	font-weight: 600;
	color: #0A67B2;
	text-decoration: underline;
}

#videolist .main-link {
	position: absolute;
	inset: 0;
	z-index: 1;
}